CustomFieldVO

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.customvo.java
Class CustomFieldVO

    java.lang.Object
      org.openswing.swing.message.receive.java.ValueObjectImpl
          org.openswing.swing.customvo.java.CustomFieldVO

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, ValueObject

public class CustomFieldVO
extends ValueObjectImpl

Title: OpenSwing Framework

Description: Value object used to define properties for attributes of BaseValueObject class.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_CHAR` char type column
`static int` | `TYPE_DATE` date type column
`static int` | `TYPE_DATE_TIME` date+time column
`static int` | `TYPE_NUM` numeric type column
`static int` | `TYPE_TEXT` text type column
`static int` | `TYPE_TIME` time column

Constructor Summary
`CustomFieldVO()`

Method Summary
`java.lang.String` | `getAttributeName()`
`int` | `getAttributeType()`
`int` | `getColumnWidth()`
`java.lang.String` | `getConstraintValues()`
`int` | `getDecimals()`
`java.sql.Timestamp` | `getDefaultValueDate()`
`java.math.BigDecimal` | `getDefaultValueNum()`
`java.lang.String` | `getDefaultValueText()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getFieldName()`
`int` | `getIntegers()`
`int` | `getMaxChars()`
`int` | `getSortOrder()`
`java.lang.String` | `getSortVersus()`
`java.lang.String` | `getTableName()`
`boolean` | `isEditableOnEdit()`
`boolean` | `isEditableOnInsert()`
`boolean` | `isFilterable()`
`boolean` | `isPk()`
`boolean` | `isRequired()`
`boolean` | `isSortable()`
`boolean` | `isSorted()`
`boolean` | `isVisible()`
`void` | `setAttributeName(java.lang.String attributeName)`
`void` | `setAttributeType(int attributeType)`
`void` | `setColumnWidth(int columnWidth)`
`void` | `setConstraintValues(java.lang.String constraintValues)`
`void` | `setDecimals(int decimals)`
`void` | `setDefaultValueDate(java.sql.Timestamp defaultValueDate)`
`void` | `setDefaultValueNum(java.math.BigDecimal defaultValueNum)`
`void` | `setDefaultValueText(java.lang.String defaultValueText)`
`void` | `setDescription(java.lang.String description)`
`void` | `setEditableOnEdit(boolean editableOnEdit)`
`void` | `setEditableOnInsert(boolean editableOnInsert)`
`void` | `setFieldName(java.lang.String fieldName)`
`void` | `setFilterable(boolean filterable)`
`void` | `setIntegers(int integers)`
`void` | `setMaxChars(int maxChars)`
`void` | `setPk(boolean pk)`
`void` | `setRequired(boolean required)`
`void` | `setSortable(boolean sortable)`
`void` | `setSorted(boolean sorted)`
`void` | `setSortOrder(int sortOrder)`
`void` | `setSortVersus(java.lang.String sortVersus)`
`void` | `setTableName(java.lang.String tableName)`
`void` | `setVisible(boolean visible)`

Methods inherited from class org.openswing.swing.message.receive.java.ValueObjectImpl
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_TEXT

    public static final int TYPE_TEXT

  text type column

  See Also:
    Constant Field Values

### TYPE_NUM

    public static final int TYPE_NUM

  numeric type column

  See Also:
    Constant Field Values

### TYPE_DATE

    public static final int TYPE_DATE

  date type column

  See Also:
    Constant Field Values

### TYPE_DATE_TIME

    public static final int TYPE_DATE_TIME

  date+time column

  See Also:
    Constant Field Values

### TYPE_TIME

    public static final int TYPE_TIME

  time column

  See Also:
    Constant Field Values

### TYPE_CHAR

    public static final int TYPE_CHAR

  char type column

  See Also:
    Constant Field Values

Constructor Detail

### CustomFieldVO

    public CustomFieldVO()

Method Detail

### getAttributeName

    public java.lang.String getAttributeName()

### setAttributeName

    public void setAttributeName(java.lang.String attributeName)

### getAttributeType

    public int getAttributeType()

### setAttributeType

    public void setAttributeType(int attributeType)

### getDefaultValueDate

    public java.sql.Timestamp getDefaultValueDate()

### setDefaultValueDate

    public void setDefaultValueDate(java.sql.Timestamp defaultValueDate)

### getDefaultValueText

    public java.lang.String getDefaultValueText()

### setDefaultValueText

    public void setDefaultValueText(java.lang.String defaultValueText)

### getDefaultValueNum

    public java.math.BigDecimal getDefaultValueNum()

### setDefaultValueNum

    public void setDefaultValueNum(java.math.BigDecimal defaultValueNum)

### getConstraintValues

    public java.lang.String getConstraintValues()

### setConstraintValues

    public void setConstraintValues(java.lang.String constraintValues)

### isVisible

    public boolean isVisible()

### setVisible

    public void setVisible(boolean visible)

### getFieldName

    public java.lang.String getFieldName()

### setFieldName

    public void setFieldName(java.lang.String fieldName)

### isEditableOnEdit

    public boolean isEditableOnEdit()

### setEditableOnEdit

    public void setEditableOnEdit(boolean editableOnEdit)

### isEditableOnInsert

    public boolean isEditableOnInsert()

### setEditableOnInsert

    public void setEditableOnInsert(boolean editableOnInsert)

### isRequired

    public boolean isRequired()

### setRequired

    public void setRequired(boolean required)

### isFilterable

    public boolean isFilterable()

### setFilterable

    public void setFilterable(boolean filterable)

### isSortable

    public boolean isSortable()

### setSortable

    public void setSortable(boolean sortable)

### isSorted

    public boolean isSorted()

### setSorted

    public void setSorted(boolean sorted)

### getSortVersus

    public java.lang.String getSortVersus()

### setSortVersus

    public void setSortVersus(java.lang.String sortVersus)

### getSortOrder

    public int getSortOrder()

### setSortOrder

    public void setSortOrder(int sortOrder)

### getTableName

    public java.lang.String getTableName()

### setTableName

    public void setTableName(java.lang.String tableName)

### getColumnWidth

    public int getColumnWidth()

### setColumnWidth

    public void setColumnWidth(int columnWidth)

### getMaxChars

    public int getMaxChars()

### setMaxChars

    public void setMaxChars(int maxChars)

### getDecimals

    public int getDecimals()

### setDecimals

    public void setDecimals(int decimals)

### getIntegers

    public int getIntegers()

### setIntegers

    public void setIntegers(int integers)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### isPk

    public boolean isPk()

### setPk

    public void setPk(boolean pk)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD